Subject: [Patch v3 5/7] PCI/ACPI: Consolidate common PCI host bridge code into ACPI core

From: [email-masked] (Hanjun Guo)
Date: Wed, 20 May 2015 11:33:37 +0800

+CC Suravee,

On 2015?05?20? 11:16, Jiang Liu wrote:
> On 2015/5/18 21:08, Hanjun Guo wrote:
>> Hi Jiang,
>>
>> On 2015?05?14? 16:56, Jiang Liu wrote:
>>> Introduce common interface acpi_pci_root_create() and related data
>>> structures to create PCI root bus for ACPI PCI host bridges. It will
>>> be used to kill duplicated arch specific code for IA64 and x86. It may
>>> also help ARM64 in future.
>>
>> As I commented in previous version, this patch will introduce
>> compile error on ACPI enabled ARM64 kernel because struct
>> pci_controller is not defined for ARM64, so how about adding
>> the following patch before this patch, or squash to this one,
>> does it make sense?
> Hi Hanjun,
> 	Thanks for fixing this building issue for ARM64. The patch
> is really what I want:). Will merge it into next version. With this
> patch applied, are there any other issues from ARM64 side?

Suravee is testing ARM64 PCI on top of your patch set, he can confirm
that if there are any other issues :) (Suravee has a real ARM64 hardware
in hand)

Thanks
Hanjun